assurance-tunnel
assurance-tunnel
assurance-tunnel
assurance-tunnel

Porting shaders to Isadora



  • I am porting a few nice shaders I have been using in other contexts to Isadora. It seems that Isadora's GLSL actors need to adhere to openGL 2.1 (so shader version 120 so from 2006) is that correct? Is there a reason that the more modern openGL cannot be used? Considering Isadora support we should be at least able to use openGL 3.2 or later (https://support.apple.com/en-us/HT202823), windows with up to date drivers will give even more forward support.


  • Tech Staff

    @fred said:

    Is there a reason that the more modern openGL cannot be used?

     It's on our to-do list but from what I understand it's going to be a major, time-consuming overhaul.